### Method

# Cogl Program attach_shader

deprecated: 1.16

#### Declaration [src]

    void
    cogl_program_attach_shader (
      CoglProgram* program,
      CoglShader* shader
    )

#### Description [src]

Attaches a shader to a program object. A program can have multiple vertex or fragment shaders but only one of them may provide a `main()` function. It is allowed to use a program with only a vertex shader or only a fragment shader.

Deprecated since: 1.16

Use `CoglSnippet` api.

#### Parameters

`shader`

  Type: `CoglShader`

  A `CoglShader` for a vertex of fragment shader.

  The data is owned by the caller of the method.